import { CellMask, OnesTable } from '../../../../@ones-table/common';
import Popup from '../components/popup';
import SearchBox from '../components/search-box';
import './list-popup.scss';
export default class ListPopup {
    private table;
    popup: Popup;
    mask: CellMask;
    components: {
        content: HTMLElement;
        searchBox: SearchBox;
        list: HTMLElement;
        editButton: HTMLButtonElement;
    };
    row: number;
    col: number;
    constructor(table: OnesTable);
    destroy(): void;
    show(row: number, col: number): void;
    isCustomList(): boolean;
    getValidValues(): string[];
    handleClose: () => void;
    handleListClick: (e: MouseEvent) => void;
    handleEditItems: () => void;
    setCellValue(value: string): void;
    hideInputMessage(): void;
    restoreInputMessage(): void;
    static createContent(): {
        content: HTMLDivElement;
        searchBox: SearchBox;
        list: HTMLDivElement;
        editButton: HTMLButtonElement;
    };
}
